package de.ozgcloud.apilib.vorgang;

import java.util.List;

import lombok.Builder;
import lombok.Getter;
import lombok.Singular;
import lombok.ToString;

@Builder
@Getter
@ToString
public class OzgCloudVorgang {

	private OzgCloudVorgangId id;
	private long version;

	private String vorgangName;
	private String vorgangNummer;

	private OzgCloudVorgangHeader header;

	@Singular
	private List<OzgCloudEingang> eingangs;
}
