package de.ozgcloud.apilib.alfa;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangId;

public interface AlfaService {

	/**
	 * Add a Notiz (note) to a Akte (file) of a Vorgang
	 * 
	 * @param vorgangId Id for the Vorgang to add the note to it.
	 * @param text      Content of the Note.
	 */
	public void addAktenNotiz(OzgCloudVorgangId vorgangId, String text);
}
