package de.ozgcloud.apilib.common.command.grpc;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class OzgCloudCommandMapperTest {

	private OzgCloudCommandMapper mapper = Mappers.getMapper(OzgCloudCommandMapper.class);

	@Nested
	class TestToCreateRequest {
		@Test
		void shouldMapFromCommand() {
			var request = mapper.toCreateRequest(OzgCloudCommandTestFactory.create());

			assertThat(request).usingRecursiveComparison().isEqualTo(GrpcCreateCommandRequestTestFactory.create());
		}
	}

}
