package de.ozgcloud.apilib.file.grpc;

import de.ozgcloud.apilib.file.OzgCloudUploadFileTestFactory;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;
import de.ozgcloud.vorgang.grpc.binaryFile.GrpcUploadBinaryFileMetaData;

public class GrpcUploadBinaryFileMetaDataTestFactory {

	public static GrpcUploadBinaryFileMetaData create() {
		return createBuilder().build();
	}

	private static GrpcUploadBinaryFileMetaData.Builder createBuilder() {
		return GrpcUploadBinaryFileMetaData.newBuilder()
			.setFileName(OzgCloudUploadFileTestFactory.FILE_NAME)
			.setContentType(OzgCloudUploadFileTestFactory.CONTENT_TYPE)
			.setVorgangId(OzgCloudVorgangTestFactory.ID.toString())
			.setField(OzgCloudUploadFileTestFactory.FIELD_NAME);
	}
}
