package de.ozgcloud.apilib.user;

import static de.ozgcloud.apilib.user.OzgCloudUserProfileTestFactory.*;

import de.ozgcloud.user.userprofile.GrpcUserProfile;

public class GrpcUserProfileTestFactory {

	public static GrpcUserProfile create() {
		return createBuilder().build();
	}

	public static GrpcUserProfile.Builder createBuilder() {
		return GrpcUserProfile.newBuilder().setId(ID.toString()).setFirstName(FIRST_NAME)
				.setLastName(LAST_NAME);

	}

}
